Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5088)
@@ -146,6 +146,6 @@
 !program reading forcings of the TWP-ICE experiment
 
-        use lmdz_netcdf, ONLY: nf_open,nf_nowrite,nf_noerr,nf_strerror,nf_inq_varid,nf90_get_var,&
-            nf_inq_dimid,nf_inq_dimlen
+        use netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
+            nf90_inq_dimid,nf90_inquire_dimension
 
 
@@ -177,128 +177,128 @@
       integer var3didin(nbvar3d)
 
-      ierr = NF_OPEN(fich_twpice,NF_NOWRITE,nid)
-      if (ierr.NE.NF_NOERR) then
+      ierr = nf90_open(fich_twpice,nf90_nowrite,nid)
+      if (ierr.NE.nf90_noerr) then
          write(*,*) 'ERROR: Pb opening forcings cdf file '
-         write(*,*) NF_STRERROR(ierr)
+         write(*,*) nf90_strerror(ierr)
          stop ""
       endif
 
-      ierr=NF_INQ_VARID(nid,"lat",var3didin(1))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"lat",var3didin(1))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'lat'
          endif
       
-       ierr=NF_INQ_VARID(nid,"lon",var3didin(2))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"lon",var3didin(2))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'lon'
          endif
 
-       ierr=NF_INQ_VARID(nid,"alt",var3didin(3))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"alt",var3didin(3))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'alt'
          endif
 
-      ierr=NF_INQ_VARID(nid,"phis",var3didin(4))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"phis",var3didin(4))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'phis'
          endif
 
-      ierr=NF_INQ_VARID(nid,"T",var3didin(5))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"T",var3didin(5))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'T'
          endif
 
-      ierr=NF_INQ_VARID(nid,"q",var3didin(6))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"q",var3didin(6))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'q'
          endif
 
-      ierr=NF_INQ_VARID(nid,"u",var3didin(7))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"u",var3didin(7))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
-      ierr=NF_INQ_VARID(nid,"v",var3didin(8))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"v",var3didin(8))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
-      ierr=NF_INQ_VARID(nid,"omega",var3didin(9))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"omega",var3didin(9))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'omega'
          endif
 
-      ierr=NF_INQ_VARID(nid,"div",var3didin(10))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"div",var3didin(10))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'div'
          endif
 
-      ierr=NF_INQ_VARID(nid,"T_adv_h",var3didin(11))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"T_adv_h",var3didin(11))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'T_adv_h'
          endif
 
-      ierr=NF_INQ_VARID(nid,"T_adv_v",var3didin(12))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"T_adv_v",var3didin(12))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'T_adv_v'
          endif
 
-      ierr=NF_INQ_VARID(nid,"q_adv_h",var3didin(13))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"q_adv_h",var3didin(13))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'q_adv_h'
          endif
 
-      ierr=NF_INQ_VARID(nid,"q_adv_v",var3didin(14))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"q_adv_v",var3didin(14))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'q_adv_v'
          endif
 
-      ierr=NF_INQ_VARID(nid,"s",var3didin(15))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"s",var3didin(15))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 's'
          endif
 
-      ierr=NF_INQ_VARID(nid,"s_adv_h",var3didin(16))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"s_adv_h",var3didin(16))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 's_adv_h'
          endif
     
-      ierr=NF_INQ_VARID(nid,"s_adv_v",var3didin(17))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"s_adv_v",var3didin(17))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 's_adv_v'
          endif
 
-      ierr=NF_INQ_VARID(nid,"p_srf_aver",var3didin(18))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"p_srf_aver",var3didin(18))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'p_srf_aver'
          endif
 
-      ierr=NF_INQ_VARID(nid,"p_srf_center",var3didin(19))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"p_srf_center",var3didin(19))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'p_srf_center'
          endif
 
-      ierr=NF_INQ_VARID(nid,"T_srf",var3didin(20))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"T_srf",var3didin(20))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'T_srf'
          endif
@@ -315,6 +315,6 @@
           
          ierr = NF90_GET_VAR(nid,var3didin(1),lat)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -322,6 +322,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(2),lon)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -329,6 +329,6 @@
  
          ierr = NF90_GET_VAR(nid,var3didin(3),alt)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -336,6 +336,6 @@
  
          ierr = NF90_GET_VAR(nid,var3didin(4),phis)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -343,6 +343,6 @@
           
          ierr = NF90_GET_VAR(nid,var3didin(5),T)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -350,6 +350,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(6),q)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -362,6 +362,6 @@
        enddo
          ierr = NF90_GET_VAR(nid,var3didin(7),u)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -369,6 +369,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(8),v)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -376,6 +376,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(9),omega)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -389,6 +389,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(10),div)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -396,6 +396,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(11),T_adv_h)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -410,6 +410,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(12),T_adv_v)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -423,6 +423,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(13),q_adv_h)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -437,6 +437,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(14),q_adv_v)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -451,36 +451,36 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(15),s)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(16),s_adv_h)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(17),s_adv_v)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(18),p_srf_aver)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(19),p_srf_center)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = NF90_GET_VAR(nid,var3didin(20),T_srf)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -492,6 +492,6 @@
          subroutine catchaxis(nid,ttm,llm,time,lev,ierr)
 
-         use lmdz_netcdf, ONLY: nf_open,nf_nowrite,nf_noerr,nf_strerror,nf_inq_varid,nf90_get_var,&
-            nf_inq_dimid,nf_inq_dimlen
+         use netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
+            nf90_inq_dimid,nf90_inquire_dimension
 
          implicit none
@@ -507,19 +507,19 @@
 ! Control & lecture on dimensions
 ! ===============================
-         ierr=NF_INQ_DIMID(nid,"time",timedimin)
-         ierr=NF_INQ_VARID(nid,"time",timevar)
-         if (ierr.NE.NF_NOERR) then
+         ierr=nf90_inq_dimid(nid,"time",timedimin)
+         ierr=nf90_inq_varid(nid,"time",timevar)
+         if (ierr.NE.nf90_noerr) then
             write(*,*) 'ERROR: Field <time> is missing'
             stop ""  
          endif
-         ierr=NF_INQ_DIMLEN(nid,timedimin,timelen)
-
-         ierr=NF_INQ_DIMID(nid,"lev",levdimin)
-         ierr=NF_INQ_VARID(nid,"lev",levvar)
-         if (ierr.NE.NF_NOERR) then
+         ierr=nf90_inquire_dimension(nid,timedimin,len=timelen)
+
+         ierr=nf90_inq_dimid(nid,"lev",levdimin)
+         ierr=nf90_inq_varid(nid,"lev",levvar)
+         if (ierr.NE.nf90_noerr) then
              write(*,*) 'ERROR: Field <lev> is lacking'
              stop "" 
          endif
-         ierr=NF_INQ_DIMLEN(nid,levdimin,levlen)
+         ierr=nf90_inquire_dimension(nid,levdimin,len=levlen)
 
          if((timelen/=ttm).or.(levlen/=llm)) then
@@ -2170,6 +2170,6 @@
 
 
-      use lmdz_netcdf, ONLY: nf_open,nf_nowrite,nf_noerr,nf_strerror,nf_inq_varid,nf90_get_var,&
-            nf_inq_dimid,nf_inq_dimlen
+      use netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
+            nf90_inq_dimid,nf90_inquire_dimension
       implicit none
 
@@ -2190,88 +2190,88 @@
       integer var3didin(nbvar3d)
 
-      ierr = NF_OPEN(fich_fire,NF_NOWRITE,nid)
-      if (ierr.NE.NF_NOERR) then
+      ierr = nf90_open(fich_fire,nf90_nowrite,nid)
+      if (ierr.NE.nf90_noerr) then
          write(*,*) 'ERROR: Pb opening forcings nc file '
-         write(*,*) NF_STRERROR(ierr)
+         write(*,*) nf90_strerror(ierr)
          stop ""
       endif
 
 
-       ierr=NF_INQ_VARID(nid,"zz",var3didin(1)) 
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"zz",var3didin(1))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'lev'
          endif
 
 
-      ierr=NF_INQ_VARID(nid,"thetal",var3didin(2))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"thetal",var3didin(2))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'temp'
          endif
 
-      ierr=NF_INQ_VARID(nid,"qt",var3didin(3))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"qt",var3didin(3))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'qv'
          endif
 
-      ierr=NF_INQ_VARID(nid,"u",var3didin(4))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"u",var3didin(4))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
-      ierr=NF_INQ_VARID(nid,"v",var3didin(5))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"v",var3didin(5))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
-      ierr=NF_INQ_VARID(nid,"tke",var3didin(6))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"tke",var3didin(6))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'tke'
          endif
 
-      ierr=NF_INQ_VARID(nid,"ugeo",var3didin(7))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"ugeo",var3didin(7))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'ug'
          endif
 
-      ierr=NF_INQ_VARID(nid,"vgeo",var3didin(8))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"vgeo",var3didin(8))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'vg'
          endif
       
-      ierr=NF_INQ_VARID(nid,"wls",var3didin(9))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"wls",var3didin(9))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'wls'
          endif
 
-      ierr=NF_INQ_VARID(nid,"dqtdx",var3didin(10))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"dqtdx",var3didin(10))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'dqtdx'
          endif
 
-      ierr=NF_INQ_VARID(nid,"dqtdy",var3didin(11))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"dqtdy",var3didin(11))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'dqtdy'
       endif
 
-      ierr=NF_INQ_VARID(nid,"dqtdt",var3didin(12))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"dqtdt",var3didin(12))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'dqtdt'
       endif
 
-      ierr=NF_INQ_VARID(nid,"thl_rad",var3didin(13))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"thl_rad",var3didin(13))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'thl_rad'
       endif
@@ -2280,6 +2280,6 @@
  
          ierr = NF90_GET_VAR(nid,var3didin(1),zz)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2287,6 +2287,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(2),thl)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2294,6 +2294,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(3),qt)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2301,6 +2301,6 @@
  
          ierr = NF90_GET_VAR(nid,var3didin(4),u)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2308,6 +2308,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(5),v)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2315,6 +2315,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(6),tke)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2322,6 +2322,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(7),ug)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2329,6 +2329,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(8),vg)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2336,6 +2336,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(9),wls)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2343,6 +2343,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(10),dqtdx)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2350,6 +2350,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(11),dqtdy)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2357,6 +2357,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(12),dqtdt)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2364,6 +2364,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(13),thl_rad)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2380,6 +2380,6 @@
 !program reading initial profils and forcings of the Dice case study
 
-      use lmdz_netcdf, ONLY: nf_open,nf_nowrite,nf_noerr,nf_strerror,nf_inq_varid,nf90_get_var,&
-            nf_inq_dimid,nf_inq_dimlen
+      use netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
+            nf90_inq_dimid,nf90_inquire_dimension
 
       implicit none
@@ -2407,141 +2407,141 @@
 
       pzero=100000.
-      ierr = NF_OPEN(fich_dice,NF_NOWRITE,nid)
-      if (ierr.NE.NF_NOERR) then
+      ierr = nf90_open(fich_dice,nf90_nowrite,nid)
+      if (ierr.NE.nf90_noerr) then
          write(*,*) 'ERROR: Pb opening forcings nc file '
-         write(*,*) NF_STRERROR(ierr)
+         write(*,*) nf90_strerror(ierr)
          stop ""
       endif
 
 
-       ierr=NF_INQ_VARID(nid,"height",var3didin(1)) 
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"height",var3didin(1))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'height'
          endif
 
-       ierr=NF_INQ_VARID(nid,"pf",var3didin(11)) 
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"pf",var3didin(11))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'pf'
          endif
 
-      ierr=NF_INQ_VARID(nid,"theta",var3didin(12))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"theta",var3didin(12))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'theta'
          endif
 
-      ierr=NF_INQ_VARID(nid,"qv",var3didin(13))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"qv",var3didin(13))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'qv'
          endif
 
-      ierr=NF_INQ_VARID(nid,"u",var3didin(14))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"u",var3didin(14))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
-      ierr=NF_INQ_VARID(nid,"v",var3didin(15))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"v",var3didin(15))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
-      ierr=NF_INQ_VARID(nid,"o3mmr",var3didin(16))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"o3mmr",var3didin(16))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'o3'
          endif
 
-      ierr=NF_INQ_VARID(nid,"shf",var3didin(2))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"shf",var3didin(2))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'shf'
          endif
 
-      ierr=NF_INQ_VARID(nid,"lhf",var3didin(3))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"lhf",var3didin(3))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'lhf'
          endif
       
-      ierr=NF_INQ_VARID(nid,"lwup",var3didin(4))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"lwup",var3didin(4))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'lwup'
          endif
 
-      ierr=NF_INQ_VARID(nid,"swup",var3didin(5))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"swup",var3didin(5))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'dqtdx'
          endif
 
-      ierr=NF_INQ_VARID(nid,"Tg",var3didin(6))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"Tg",var3didin(6))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'Tg'
       endif
 
-      ierr=NF_INQ_VARID(nid,"ustar",var3didin(7))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"ustar",var3didin(7))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'ustar'
       endif
 
-      ierr=NF_INQ_VARID(nid,"psurf",var3didin(8))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"psurf",var3didin(8))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'psurf'
       endif
 
-      ierr=NF_INQ_VARID(nid,"Ug",var3didin(9))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"Ug",var3didin(9))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'Ug'
       endif
 
-      ierr=NF_INQ_VARID(nid,"Vg",var3didin(10))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"Vg",var3didin(10))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'Vg'
       endif
 
-      ierr=NF_INQ_VARID(nid,"hadvT",var3didin(17))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hadvT",var3didin(17))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hadvT'
       endif
 
-      ierr=NF_INQ_VARID(nid,"hadvq",var3didin(18))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hadvq",var3didin(18))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hadvq'
       endif
 
-      ierr=NF_INQ_VARID(nid,"hadvu",var3didin(19))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hadvu",var3didin(19))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hadvu'
       endif
 
-      ierr=NF_INQ_VARID(nid,"hadvv",var3didin(20))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"hadvv",var3didin(20))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'hadvv'
       endif
 
-      ierr=NF_INQ_VARID(nid,"w",var3didin(21))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"w",var3didin(21))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'w'
       endif
 
-      ierr=NF_INQ_VARID(nid,"omega",var3didin(22))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"omega",var3didin(22))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'omega'
       endif
@@ -2550,6 +2550,6 @@
  
          ierr = NF90_GET_VAR(nid,var3didin(1),zz)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2557,6 +2557,6 @@
  
          ierr = NF90_GET_VAR(nid,var3didin(11),pres)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2564,6 +2564,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(12),th)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2574,6 +2574,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(13),qv)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2581,6 +2581,6 @@
  
          ierr = NF90_GET_VAR(nid,var3didin(14),u)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2588,6 +2588,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(15),v)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2595,6 +2595,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(16),o3)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2602,6 +2602,6 @@
 
          ierr = NF90_GET_VAR(nid,var3didin(2),shf)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
